package synchrone.topic;

import implementation.ClientJMS;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.JMSException;
import javax.jms.MessageConsumer;

import javax.jms.Session;
import javax.jms.TextMessage;


/* Annick Fron
 * A lancer avant l'emetteur
 */

public class Recepteur extends ClientJMS {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		new Recepteur().run();
	}

	public void run() {
		ConnectionFactory cf = getConnectionFactory();
		Connection connexion;
		try {
			connexion = cf.createConnection();
			Session session = connexion.createSession(false,
					Session.AUTO_ACKNOWLEDGE);
			// pour un Topic on aurait de meme createTopic...
			Destination topic = session.createTopic("MonTopic");

			MessageConsumer receiver = session.createConsumer(topic);
			// ne pas oublier de demarrer la connexion
			connexion.start();
			// réception d’un message de type texte
			TextMessage mess = (TextMessage) receiver.receive();
			System.out.println("Message reçu : " + mess.getText());
			// fermeture de la connexion et de la session
			connexion.close();

		} catch (JMSException e) {
			
			System.out.println(e.getMessage());
		}
		
	}
}
